Bug 246150 - net-im/py-matrix-synapse: Update to 1.12.4
Summary: net-im/py-matrix-synapse: Update to 1.12.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL: https://github.com/matrix-org/synapse...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-03 20:37 UTC by shibayashi
Modified: 2020-05-22 11:20 UTC (History)
5 users (show)

See Also:
ports: maintainer-feedback+
dbaio: merge-quarterly+


Attachments
Patch for version number (1.00 KB, patch)
2020-05-03 20:37 UTC, shibayashi
koobs: maintainer-approval? (ports)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description shibayashi 2020-05-03 20:37:35 UTC
Created attachment 214072 [details]
Patch for version number

Update to 1.12.4

This is my first contribution to FreeBSD, so please tell me where I can improve.

URL: https://github.com/matrix-org/synapse/releases/tag/v1.12.4
Comment 1 Sascha Biberhofer 2020-05-04 07:04:39 UTC
(In reply to shibayashi from comment #0)
The patch looks fine and is identical to what I had prepared for the 1.12.4 update. :)

The reason I've delayed submitting the update is that it exclusively contains bugfixes targeting the new riot version, which hasn't been released yet. I would like to confirm that this works before merging the update, as we may need to discuss merging this to quarterly as well (otherwise the cross-signing/encryption functionality might not work for quarterly port users). The riot release has been delayed, but is projected for the next few days, if things go well.

If it's alright with you, I'd wait for a few days to see if this release contains all the bugfixes necessary for riot and then move forward.

Cheers,
Sascha
Comment 2 shibayashi 2020-05-04 14:07:01 UTC
Sounds like a legit reason for the delay, so I’m fine with it. I just want that everything is in place, when cross-signing is officially released :)

According to their latest blog post[1], Synapse 1.13.0 is supposed to get released this week and apparently it will contain some larger changes, like Redis support. That’s why I wanted to have the latest 1.12 release in case 1.13 will result in some delays.

[1]: https://matrix.org/blog/2020/05/01/this-week-in-matrix-2020-05-01#synapse
Comment 3 Sascha Biberhofer 2020-05-05 14:04:18 UTC
The new riot client has been released today. I've quickly tested cross-signing with py-matrix-synapse 1.12.4 and things work fine, so we should probably go ahead with this update.

Port builds and runs perfectly fine, testsuit passes too.

According to the release notes[1], the update is a bugfix release (or as close to a bugfix release as py-matrix-synapse is ever going to get). I've confirmed with upstream that the changes in this release are necessary for the cross-signing feature within riot and other clients to work. Should we MFH this?

Cheers,
Sascha

[1] https://github.com/matrix-org/synapse/releases/tag/v1.12.4
Comment 4 shibayashi 2020-05-05 16:16:37 UTC
(In reply to Sascha Biberhofer from comment #3)

Also tested it and it worked fine for me too.

Merging it to Quarterly makes sense, if it’s required for cross-signing. +1 from me.
Comment 5 Christian Schwarz 2020-05-16 12:01:51 UTC
Is there any progress on this?
Comment 6 commit-hook freebsd_committer 2020-05-22 10:36:39 UTC
A commit references this bug:

Author: dbaio
Date: Fri May 22 10:35:59 UTC 2020
New revision: 536194
URL: https://svnweb.freebsd.org/changeset/ports/536194

Log:
  net-im/py-matrix-synapse: Update to 1.12.4

  Changelog:	https://github.com/matrix-org/synapse/blob/v1.12.4/CHANGES.md

  PR:		246150
  Submitted by:	shibayashi@cypherpunk.observer
  Approved by:	Sascha Biberhofer <ports@skyforge.at> (maintainer)
  MFH:		2020Q2 (blanket: bugfix release)
  X-MFH-with:	533398

Changes:
  head/net-im/py-matrix-synapse/Makefile
  head/net-im/py-matrix-synapse/distinfo
Comment 7 commit-hook freebsd_committer 2020-05-22 10:43:43 UTC
A commit references this bug:

Author: dbaio
Date: Fri May 22 10:43:04 UTC 2020
New revision: 536195
URL: https://svnweb.freebsd.org/changeset/ports/536195

Log:
  MFH: r533398 r536194

  net-im/py-matrix-synapse: Fix test target

  Add devel/py-parameterized

  PR:		245972
  Approved by:	Sascha Biberhofer <ports@skyforge.at> (maintainer)

  net-im/py-matrix-synapse: Update to 1.12.4

  Changelog:	https://github.com/matrix-org/synapse/blob/v1.12.4/CHANGES.md

  PR:		246150
  Submitted by:	shibayashi@cypherpunk.observer
  Approved by:	Sascha Biberhofer <ports@skyforge.at> (maintainer)

  Approved by:	ports-secteam (blanket, bugfix release)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/net-im/py-matrix-synapse/Makefile
  branches/2020Q2/net-im/py-matrix-synapse/distinfo
Comment 8 Danilo G. Baio freebsd_committer 2020-05-22 11:20:10 UTC
Committed, thank you!